Skip to main content
POST
/
2025-10
/
marketing-solutions
/
marketplace-performance-outcomes
/
sellers
/
{sellerId}
/
seller-campaigns
/2025-10/marketing-solutions/marketplace-performance-outcomes/sellers/{sellerId}/seller-campaigns
curl --request POST \
  --url https://api.criteo.com/2025-10/marketing-solutions/marketplace-performance-outcomes/sellers/{sellerId}/seller-campaigns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bid": 123,
  "campaignId": 123
}
'
{
  "id": "10656107.248287",
  "sellerId": "10656107",
  "campaignId": 248287,
  "bid": 0.15,
  "suspendedSince": "2021-03-03T15:14:25.7970000+00:00",
  "suspensionReasons": [
    "NoBudgetDefined"
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

sellerId
string
required

Supply a generated Id of an existing Seller

Body

application/json

Supply the campaign Id and bid to create the mapping

Data used to create a seller's campaign

bid
number<double>

Initial cost-per-click bid in the advertiser's currency

campaignId
integer<int32>

ID of the campaign to associate the seller with. Must be an existing campaign.

Response

200 - application/json

Success

A seller-campaign links a seller to a campaign, defining the CPC bid. A seller can participate in multiple campaigns, and a campaign can have multiple sellers.

bid
number<double> | null

Cost-per-click bid in the advertiser's currency. Null means no CPC is defined (seller-campaign will be suspended with NoCpcDefined). Set to 0 to stop delivery.

campaignId
integer<int32>

Identifier of the campaign this seller participates in

id
string
read-only

Composite identifier in format {sellerId}.{campaignId}

productSet
object

Product set targeting configuration for a seller-campaign

sellerId
string

Unique identifier of the seller (merchant)

suspendedSince
string<date-time> | null

Timestamp when the seller-campaign was suspended. Null means the seller-campaign is active.

suspensionReasons
enum<string>[] | null

List of reasons why the seller-campaign is suspended. Null means the seller-campaign is active.

Reason why a seller-campaign is suspended. Values: ManuallyStopped (manually paused by the partner), NoBudgetDefined (no valid budget linked), NoCpcDefined (no CPC bid set), NoMoreBudget (lifetime budget fully spent), NoMoreDailyBudget (daily budget limit reached), RemovedFromCatalog (all products removed from catalog), NotYetStarted (newly created, not yet processed), Other (internal issue preventing delivery).

Available options:
NoMoreBudget,
ManuallyStopped,
NoBudgetDefined,
NoCpcDefined,
RemovedFromCatalog,
NotYetStarted,
NoMoreDailyBudget,
Other